New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Cannot install Breeze.Sharp in Xamarin.Forms #22

Closed
weitzhandler opened this Issue Jun 28, 2017 · 5 comments

Comments

Projects
None yet
2 participants
@weitzhandler

weitzhandler commented Jun 28, 2017

Hello,

I'm trying to add Breeze.Sharp to a Xamarin PCL, but in order for it to work I obviously need to add the package to all targets.

The problem is I cannot install Breeze.Sharp in targeting projects. Trying to add it to the Android/iOS project gives the following error:

Could not install package 'Microsoft.AspNet.WebApi.Client 5.2.3'. You are trying to install this package into a project that targets 'Xamarin.iOS,Version=v1.0', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

And trying to install the UWP project leads to this one:

Package Breeze.Sharp 0.6.0.9 is not compatible with uap10.0 (UAP,Version=v10.0) / win10-x86-aot. Package Breeze.Sharp 0.6.0.9 supports: net (.NETFramework,Version=v0.0)
One or more packages are incompatible with UAP,Version=v10.0 (win10-x86-aot).

Am I missing anything or Breeze isn't meant to support Xamarin projects - it's one of Breeze#'s tags in nuget 😠

I was only able to install version 0.6.0.3 in the UWP.
Is this project maintained at all?

@weitzhandler

This comment has been minimized.

Show comment
Hide comment
@weitzhandler

weitzhandler Jun 29, 2017

Why does it depend in OData anyway?
Is this project even alive?

weitzhandler commented Jun 29, 2017

Why does it depend in OData anyway?
Is this project even alive?

@weitzhandler

This comment has been minimized.

Show comment
Hide comment

Cross-posted here.

@jaredthirsk

This comment has been minimized.

Show comment
Hide comment
@jaredthirsk

jaredthirsk Jul 12, 2017

I agree it is misleading and disappointing that Breeze.Sharp has the Xamarin tag but it does work for (current versions of) Xamarin.

In case it helps, the Android build error I'm getting:

Could not install package 'Microsoft.AspNet.WebApi.Client 5.2.3'. You are trying to install this package into a project that targets 'MonoAndroid,Version=v7.1', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

Looks like Microsoft has created 5.2.4 of this package, but I see the milestone has been pushed back to .NET 2.1 (aspnet/Mvc#5822), which according to the roadmap isn't scheduled until Q4 2017 (https://github.com/aspnet/Home/wiki/Roadmap)

jaredthirsk commented Jul 12, 2017

I agree it is misleading and disappointing that Breeze.Sharp has the Xamarin tag but it does work for (current versions of) Xamarin.

In case it helps, the Android build error I'm getting:

Could not install package 'Microsoft.AspNet.WebApi.Client 5.2.3'. You are trying to install this package into a project that targets 'MonoAndroid,Version=v7.1', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

Looks like Microsoft has created 5.2.4 of this package, but I see the milestone has been pushed back to .NET 2.1 (aspnet/Mvc#5822), which according to the roadmap isn't scheduled until Q4 2017 (https://github.com/aspnet/Home/wiki/Roadmap)

@weitzhandler

This comment has been minimized.

Show comment
Hide comment
@weitzhandler

weitzhandler Jul 13, 2017

@jaredthirsk thanks for your reply.
The Android issue can be solved according to this answer.

But it doesn't work for UWP.

Anyway I understand what you say, it has support for Xamarin, tho not for Xamarin.Forms.

@jaredthirsk thanks for your reply.
The Android issue can be solved according to this answer.

But it doesn't work for UWP.

Anyway I understand what you say, it has support for Xamarin, tho not for Xamarin.Forms.

@weitzhandler weitzhandler changed the title from Cannot install Breeze.Sharp in Xamarin to Cannot install Breeze.Sharp in Xamarin.Forms Jul 24, 2017

@weitzhandler

This comment has been minimized.

Show comment
Hide comment

migrated to #29

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment